## python-translationstring 1.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build/*

html: _themes
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

text:
	mkdir -p _build/text _build/doctrees
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) _build/text
	@echo
	@echo "Build finished. The HTML pages are in _build/text."

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web _build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp: _themes
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	cp _static/*.png _build/latex
	./convert_images.sh
	cp _static/latex-warning.png _build/latex
	cp _static/latex-note.png _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) _build/epub
	@echo
	@echo "Build finished. The epub file is in _build/epub."

_themes:
	cd ..; git submodule update --init; cd docs

## python-translationstring 0.3

=== debian/changelog ===
python-translationstring (0.3-2) unstable; urgency=low

  * Switch to dh_python2.
  * Bump Standards-Version to 3.9.2 (with no changes). 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 23 May 2011 12:43:24 +0900

python-translationstring (0.3-1) unstable; urgency=low

  * Initial release (Closes: #604997)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 26 Nov 2010 10:40:06 +0900

=== debian/control ===
Source: python-translationstring
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all, python-setuptools
Standards-Version: 3.9.2
Homepage: http://www.repoze.org/
#Vcs-Git: git://git.debian.org/collab-maint/python-translationstring.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/python-translationstring.git;a=summary

Package: python-translationstring
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Utility library for i18n relied on by various Repoze packages
 A library used by various Repoze packages for internationalization (i18n)
 duties related to translation.
 .
 This package provides a translation string class, a translation string
 factory class, translation and pluralization primitives, and a utility
 that helps Chameleon templates use translation facilities of this package.
 It does not depend on Babel, but its translation and pluralization
 services are meant to work best when provided with an instance of the
 babel.support.Translations class.

## python-translationstring 0.4

=== debian/changelog ===
python-translationstring (0.4-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 30 Oct 2011 13:34:33 +0100

python-translationstring (0.4-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 25 Sep 2011 15:00:46 +0900

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 7.0.50~), python-all, python-setuptools
 Standards-Version: 3.9.2
 Homepage: http://www.repoze.org/
-#Vcs-Git: git://git.debian.org/collab-maint/python-translationstring.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/python-translationstring.git;a=summary
+Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-translationstring/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-translationstring/trunk/
 
 Package: python-translationstring
 Architecture: all

## python-translationstring 1.1

=== debian/changelog ===
python-translationstring (1.1-4) unstable; urgency=low

  * Team upload.
  * Really adding Python3 support.
  * Standard-Version is now 3.9.4.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2013 08:56:36 +0000

python-translationstring (1.1-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Thomas Goirand ]
  * Team upload.
  * Added support for Python3.
  * debian/copyright is now in parseable format 1.0.
  * Added unit testing.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2013 08:39:59 +0000

python-translationstring (1.1-2) unstable; urgency=low

  * debian/source/options: ignore egg-info files's changes. (Closes: #671427)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 09 May 2012 15:30:11 +0900

python-translationstring (1.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 26 Feb 2012 19:46:47 +0900

=== debian/control ===
Source: python-translationstring
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python3-all,
               python-nose,
               python-setuptools,
               python3-setuptools
Standards-Version: 3.9.4
Homepage: http://www.repoze.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-translationstring/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-translationstring/trunk/

Package: python-translationstring
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Utility library for i18n relied on by various Repoze packages - Python 3.x
 A library used by various Repoze packages for internationalization (i18n)
 duties related to translation.
 .
 This package provides a translation string class, a translation string
 factory class, translation and pluralization primitives, and a utility
 that helps Chameleon templates use translation facilities of this package.
 It does not depend on Babel, but its translation and pluralization
 services are meant to work best when provided with an instance of the
 babel.support.Translations class.
 .
 This package provides the Python 2.x module.

Package: python3-translationstring
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Utility library for i18n relied on by various Repoze packages - Python 2.x
 A library used by various Repoze packages for internationalization (i18n)
 duties related to translation.
 .
 This package provides a translation string class, a translation string
 factory class, translation and pluralization primitives, and a utility
 that helps Chameleon templates use translation facilities of this package.
 It does not depend on Babel, but its translation and pluralization
 services are meant to work best when provided with an instance of the
 babel.support.Translations class.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-translationstring; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-translationstring; \
	done

override_dh_clean:
	dh_clean
	rm -rf build

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	python setup.py nosetests
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/t/translationstring/translationstring-(.*)\.tar\.gz

## python-translationstring 1.3

=== debian/changelog ===
python-translationstring (1.3-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

  [ Andrey Rahmatullin ]
  * Drop Python 2 support (Closes: #938225).

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 27 Sep 2019 01:01:46 +0500

python-translationstring (1.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ TANIGUCHI Takaki ]
  * debian/conrol: Fix typo in short description (Closes: #809823)
  * Bump Standards-Version to 4.0.0
  * debian/compat: Bump to 10

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 06 Jul 2017 11:06:22 +0900

python-translationstring (1.3-1) unstable; urgency=medium

  [ SVN-Git Migration ]
  * git-dpm config
  * Update Vcs fields for git migration

  [ TANIGUCHI Takaki ]
  * debian/watch: Use pypy.debian.net.
  * Imported Upstream version 1.3
  * debian/rules: Use pybuild.
  * Bump Standards-Version 3.9.6.
  * debian/docs: clean up

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Nov 2015 23:48:19 +0900

=== debian/control ===
Source: python-translationstring
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.0.0
Homepage: http://www.repoze.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-translationstring.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-translationstring

Package: python3-translationstring
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Utility library for i18n relied on by various Repoze packages - Python 3.x
 A library used by various Repoze packages for internationalization (i18n)
 duties related to translation.
 .
 This package provides a translation string class, a translation string
 factory class, translation and pluralization primitives, and a utility
 that helps Chameleon templates use translation facilities of this package.
 It does not depend on Babel, but its translation and pluralization
 services are meant to work best when provided with an instance of the
 babel.support.Translations class.
 .
 This package provides the Python 3.x module.

=== debian/watch ===
version=3
https://pypi.debian.net/translationstring/translationstring-(.*)\.tar\.gz

## python-translationstring 1.4

=== docs/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 clean:
 	-rm -rf _build/*
 
-html: _themes
+html:
 	mkdir -p _build/html _build/doctrees
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
 	@echo
@@ -47,7 +47,7 @@
 
 web: pickle
 
-htmlhelp: _themes
+htmlhelp:
 	mkdir -p _build/htmlhelp _build/doctrees
 	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
 	@echo
@@ -83,6 +83,3 @@
 	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) _build/epub
 	@echo
 	@echo "Build finished. The epub file is in _build/epub."
-
-_themes:
-	cd ..; git submodule update --init; cd docs

=== debian/changelog ===
python-translationstring (1.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Make "Files: *" paragraph the first in the copyright file.

  [ TANIGUCHI Takaki ]
  * New upstream version 1.4
  * Bump Standards-Version to 4.5.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 26 Jul 2020 14:20:18 +0900

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Homepage: http://www.repoze.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-translationstring.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-translationstring

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=translationstring

%:
	dh $@ --with python3 --buildsystem=pybuild
